MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030657Open CASCADE[OCCT] OCCT:Visualizationpublic2019-04-17 22:292019-08-15 17:49
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030657: Visualization - misprint in Graphic3d_ZLayerSettings::SetOrigin()
DescriptionGraphic3d_ZLayerSettings::SetOrigin() contains misprint - Geom_Transformation is created uninitialized. Note that since this field is not actually used (only IsNull() check used), this issue remained hidden.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0083834)
git (administrator)
2019-04-17 22:30

Branch CR30657 has been created by kgv.

SHA-1: d250df94b330c9ff6adb6bf23385794c7943f949


Detailed log of new commits:

Author: kgv
Date: Wed Apr 17 22:23:51 2019 +0300

    0030657: Visualization - misprint in Graphic3d_ZLayerSettings::SetOrigin()
    
    Add missing initialization of Geom_Transformation object.
(0083836)
kgv (developer)
2019-04-18 00:49

Please raise the patch.
(0083900)
git (administrator)
2019-04-21 11:05

Branch CR30657 has been deleted by inv.

SHA-1: d250df94b330c9ff6adb6bf23385794c7943f949

- Related Changesets
occt: master 130bc3c0
Timestamp: 2019-04-17 19:23:51
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030657: Visualization - misprint in Graphic3d_ZLayerSettings::SetOrigin()

Add missing initialization of Geom_Transformation object.
mod - src/Graphic3d/Graphic3d_ZLayerSettings.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-04-17 22:29 kgv New Issue
2019-04-17 22:29 kgv Assigned To => kgv
2019-04-17 22:30 git Note Added: 0083834
2019-04-17 22:33 kgv Relationship added child of 0024393
2019-04-17 22:34 kgv Product Version 7.3.0 => 7.1.0
2019-04-18 00:49 kgv Note Added: 0083836
2019-04-18 00:49 kgv Assigned To kgv => bugmaster
2019-04-18 00:49 kgv Severity minor => trivial
2019-04-18 00:49 kgv Status new => resolved
2019-04-18 00:50 kgv Status resolved => reviewed
2019-04-18 18:09 kgv Relationship added related to 0030665
2019-04-18 18:09 bugmaster Status reviewed => tested
2019-04-21 10:55 bugmaster Changeset attached => occt master 130bc3c0
2019-04-21 10:55 bugmaster Status tested => verified
2019-04-21 10:55 bugmaster Resolution open => fixed
2019-04-21 11:05 git Note Added: 0083900
2019-08-15 17:49 bugmaster Test case number => Not required


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker